Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.security.authentication
Class IdentityAsserterImpl

    java.lang.Object
      |
      +--weblogic.management.security.BaseMBeanImpl
            |
            +--weblogic.management.security.ProviderImpl
                  |
                  +--weblogic.management.security.authentication.AuthenticationProviderImpl
                        |
                        +--weblogic.management.security.authentication.IdentityAsserterImpl

public class IdentityAsserterImpl
extends AuthenticationProviderImpl

The base class of all identity assert mbean implementations. It extends the authetication provider mbean implementation and gives the authenticator's mbean implementation access to its configuration attributes.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`IdentityAsserterImpl(javax.management.modelmbean.RequiredModelMBean base)` Class constructor specifying the corresponding required model mbean.

Method Summary
`boolean` | `validateActiveTypes(java.lang.String[] activeTypes)` Test that all specified entries are support types

Methods inherited from class weblogic.management.security.BaseMBeanImpl
`getProxy, getRequiredModelMBean`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdentityAsserterImpl

    public IdentityAsserterImpl(javax.management.modelmbean.RequiredModelMBean base)
                         throws javax.management.MBeanException

  Class constructor specifying the corresponding required model mbean.

  Parameters:
    `base` - required model mbean for this mbean implementation
  Throws:
    javax.management.MBeanException - Description of the Exception

Method Detail

### validateActiveTypes

    public boolean validateActiveTypes(java.lang.String[] activeTypes)
                                throws javax.management.MBeanException

  Test that all specified entries are support types

  Parameters:
    `activeTypes` - Description of the Parameter
  Returns:
    Description of the Return Value
  Throws:
    javax.management.MBeanException - Description of the Exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD